#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	EN-Syllable
Summary:	Lingua::EN::Syllable Perl module - estimating syllable count in words
Summary(pl.UTF-8):	Moduł Perla Lingua::EN::Syllable - szacowanie liczby sylab w słowach
Name:		perl-Lingua-EN-Syllable
Version:	0.251
Release:	11
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Lingua/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f44a056e92c1d9df89e190591879d84f
URL:		http://search.cpan.org/dist/Lingua-EN-Syllable/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lingua::EN::Syllable estimates the number of syllables in the word
passed to it.

%description -l pl.UTF-8
Lingua::EN::Syllable szacuje liczbę sylab w wyrazach angielskich.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Lingua/EN/Syllable.pm
%{_mandir}/man3/Lingua::EN::Syllable.3pm*
%changelog
* Thu Feb 19 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Lingua-EN-Syllable.git;a=log;h=master

* Sat Mar 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 4f2a84f
- added URL, informative summaries

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> db185a9
- release 11

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> edfd6a1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 58f5b78
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a519fda
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 6c0f972
- rel. 10

* Thu May 06 2004 ankry <ankry@pld-linux.org> 585a582
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> c5d4560
- tests added

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 9cf46cd
- license fixes and unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> cdfd5fc
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 689dd5b
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> aed2420
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 00b276e
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 7a6a064
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> de95b2c
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 8433296
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> f5ab19d
- massive attack: change CPAN URLs

* Tue Nov 26 2002 ankry <ankry@pld-linux.org> 6ebee6f
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

* Wed Jul 10 2002 depesz <depesz@depesz.pl> be90d32
- applied changes using automat supplied by Radoslaw Zielinski

* Sat May 11 2002 kloczek <kloczek@pld-linux.org> 2ad56f4
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

